| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
cv::gapi::ot::ObjectTrackerParams Struct Reference

`#include <opencv2/gapi/ot.hpp>`

Collaboration diagram for cv::gapi::ot::ObjectTrackerParams:

## Public Member Functions
bool | operator== (const ObjectTrackerParams &other) const

## Public Attributes
GAPI_PROP_RW int32_t | input_image_format = 0
GAPI_PROP_RW int32_t | max_num_objects = -1
GAPI_PROP_RW bool | tracking_per_class = true

## Member Function Documentation

## ◆ operator==()

bool cv::gapi::ot::ObjectTrackerParams::operator== | ( | const ObjectTrackerParams & | other | ) | const
| inline

## Member Data Documentation

## ◆ input_image_format

GAPI_PROP_RW int32_t cv::gapi::ot::ObjectTrackerParams::input_image_format = 0

Input color format. Supports 0(BGR), 1(NV12), 2(BGRX) and 4(I420)

## ◆ max_num_objects

GAPI_PROP_RW int32_t cv::gapi::ot::ObjectTrackerParams::max_num_objects = -1

Maximum number of trackable objects in a frame. Valid range: 1 <= max_num_objects. Or it can be -1 if there is no limitation of maximum number in X86. KMB/TBH has limitation up to 1024. Default value is -1 which means there is no limitation in X86. KMB/TBH is -1 means 200.

## ◆ tracking_per_class

GAPI_PROP_RW bool cv::gapi::ot::ObjectTrackerParams::tracking_per_class = true

Specifies whether tracker to use detection class for keeping id of an object. If it is true, new detection will be associated from previous tracking only when those two have same class. class id of an object is fixed across video frames. If it is false, new detection can be associated across different-class objects. In this case, the class id of an object may change across video frames depending on the tracker input. It is recommended to turn this option off when it is likely that detector confuses the class of object. For example, when detector confuses bicycle and motorbike. Turning this option off will increase the tracking reliability as tracker will ignore the class label of detector.
Default value is true.

The documentation for this struct was generated from the following file:

- opencv2/gapi/ot.hpp